AlignmentBuilder (BioJava Demos API)
Keywords: ssbind.AlignmentBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ssbind
Class AlignmentBuilder

    java.lang.Object
      org.biojava.bio.search.SearchContentFilter
          ssbind.AlignmentBuilder

All Implemented Interfaces:
  org.biojava.bio.search.SearchContentHandler

    public class AlignmentBuilder

extends org.biojava.bio.search.SearchContentFilter

This filter intercepts the querySequence and subjectSequence events to build an alignment.

It will collect up the sequence information per sub hit, and then pass on a newly built alignment object with labels AlignmentBuilder.QUERY and AlignmentBuilder.SUBJECT under the event key AlignmentBuilder.ALIGNMEMT.

## Example

     java ProcessBlastReport blast.out ssbind.AlignmentBuilder ssbind.Echoer

Author:
  Matthew Pocock

Field Summary
`static Object` | `ALIGNMENT`
`static Object` | `QUERY`
`static Object` | `SUBJECT`

Constructor Summary
`AlignmentBuilder(org.biojava.bio.search.SearchContentHandler delegate)`

Method Summary
`void` | `addSubHitProperty(Object key, Object val)`
`void` | `endSubHit()`

Methods inherited from class org.biojava.bio.search.SearchContentFilter
`addHitProperty, addSearchProperty, endHeader, endHit, endSearch, getMoreSearches, setDatabaseID, setMoreSearches, setQueryID, startHeader, startHit, startSearch, startSubHit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUERY

    public static final Object QUERY

### SUBJECT

    public static final Object SUBJECT

### ALIGNMENT

    public static final Object ALIGNMENT

Constructor Detail

### AlignmentBuilder

    public AlignmentBuilder(org.biojava.bio.search.SearchContentHandler delegate)

Method Detail

### addSubHitProperty

    public void addSubHitProperty(Object key,
                                  Object val)

  Specified by:
    `addSubHitProperty` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `addSubHitProperty` in class `org.biojava.bio.search.SearchContentFilter`

### endSubHit

    public void endSubHit()

  Specified by:
    `endSubHit` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `endSubHit` in class `org.biojava.bio.search.SearchContentFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD